# $Revision: 1.10 $, $Date: 2009/02/02 13:32:19 $
# TODO
# - something with org.apache.env.which (currently xml-commons-which.jar in
#   xml-commons), then obsolete xml-commons here
%include	/usr/lib/rpm/macros.java
#
%define	srcname	xml-commons-external
Summary:	Apache XML Commons External classes
Summary(pl.UTF-8):	Klasy Apache XML Commons External
Name:		java-xml-commons-external
Version:	1.3.04
Release:	4
License:	Apache v2.0
Group:		Libraries/Java
Source0:	http://www.apache.org/dist/xml/commons/%{srcname}-%{version}-src.tar.gz
# Source0-md5:	5536f87a816c766f4999ed60593a8701
# from http://svn.apache.org/repos/asf/xml/commons/trunk/java/external/build.xml
Source1:	%{srcname}-build.xml
URL:		http://xml.apache.org/commons/
BuildRequires:	ant
BuildRequires:	java-gcj-compat-devel
BuildRequires:	jpackage-utils
BuildRequires:	rpm-javaprov
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	jpackage-utils
Provides:	xml-commons-external
Obsoletes:	xml-commons-external
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Apache XML Commons External classes:
 - DOM Level 3 from w3c.org
 - SAX 2.0 from megginson.com

%description -l pl.UTF-8
Klasy Apache XML Commons External:
 - DOM Level 3 z w3c.org
 - SAX 2.0 z megginson.com

%package javadoc
Summary:	javadoc documentation for Apache XML Commons External
Summary(pl.UTF-8):	Dokumentacja javadoc dla pakietu Apache XML Commons External
Group:		Documentation
Requires:	jpackage-utils
Obsoletes:	xml-commons-external-javadoc

%description javadoc
javadoc documentation for Apache XML Commons External.

%description javadoc -l pl.UTF-8
Dokumentacja javadoc dla pakietu Apache XML Commons External.

%prep
%setup -q -c
cp %{SOURCE1} build.xml

# for build.xml
mkdir src xdocs
ln -s ../javax ../org ../manifest.commons src

%build
# default 64m is too low
#export ANT_OPTS="-Xmx128m"
%ant -Dbuild.compiler=gcj jar javadoc

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_javadir}

install build/xml-apis.jar $RPM_BUILD_ROOT%{_javadir}/xml-apis-%{version}.jar
install build/xml-apis-ext.jar $RPM_BUILD_ROOT%{_javadir}/xml-apis-ext-%{version}.jar
ln -s xml-apis-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/xml-apis.jar
ln -s xml-apis-ext-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/xml-apis-ext.jar

install -d $RPM_BUILD_ROOT%{_javadocdir}/%{srcname}-%{version}
cp -a build/docs/javadoc/* $RPM_BUILD_ROOT%{_javadocdir}/%{srcname}-%{version}
ln -s %{srcname}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{srcname} # ghost symlink

%clean
rm -rf $RPM_BUILD_ROOT

%post javadoc
ln -nfs %{srcname}-%{version} %{_javadocdir}/%{srcname}

%files
%defattr(644,root,root,755)
%doc LICENSE* NOTICE README.*
%{_javadir}/*.jar

%files javadoc
%defattr(644,root,root,755)
%{_javadocdir}/%{srcname}-%{version}
%ghost %{_javadocdir}/%{srcname}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: java-xml-commons-external.spec,v $
Revision 1.10  2009/02/02 13:32:19  pawelz
- P:/O: old spec name
- rel 4 (it has to be rebuilt once again because of broken libmagic :-/)

Revision 1.9  2009/02/02 12:28:36  glen
- Libraries/Java group

Revision 1.8  2009/02/02 09:59:19  pawelz
- rel 3

Revision 1.7  2009/02/02 09:50:31  pawelz
- renamed from java-xml-commons-external
- BR: java-gcj-compat-devel (not java-gcj-compat)

Revision 1.6  2009/01/31 00:21:07  pawelz
- build it with gnu java

Revision 1.5  2007/12/12 22:07:07  glen
- unify java package; rel 2

Revision 1.4  2007-02-12 22:09:23  glen
- tabs in preamble

Revision 1.3  2007/02/12 01:06:46  baggins
- converted to UTF-8

Revision 1.2  2007/01/07 18:11:53  qboosh
- typo

Revision 1.1  2007/01/07 18:07:12  qboosh
- partially replaces xml-commons
